用惯了火狐调试,突然发现firebug每个页面都跳出警告“未使用 __exposedProps__ 即暴露 Chrome JS 对象至内容是不安全的而且是过时的”,是页面编码的问题吗?我排查了下,发现每个页面都是这样的提示,看来不是页面编码的问题,那有可能是组件扩展的问题,因为我的火狐一直保留V18的版本,并且里面有一些久不更新但很常用的组件,于是从组件下手,一个一个禁用了看,经过排查,终于定位到了导致此经过的组件,那就是HyperSnap Helper 1.9。
解决办法就是更新到HyperSnap Helper 2.0,我从官方最新版的程序找到了组件的更新版,有需要的和我一样遇到问题的筒子们可以更新下组件。

下载地址:https://copy.com/w0qxFk7tKpR2

Related Posts: HyperSnap Helper 1.9导致的暴露 Chrome JS 对象至内容是不安全的而且是过时的解决办法 :